/*
 * MyWidget.h
 *
 *  Created on: 13.08.2010
 *      Author: uwe
 */

#ifndef MYWIDGET_H_
#define MYWIDGET_H_

#include <qwidget.h>
#include <QThread>
#include "MobilePhotoTool.h"

class MyWidget: public QWidget, public QThread {

private:
	QSize	size;
	QImage	*my_image;
	uint	farbe;
	void 	*reader;
	void 	*temp_reader;

	float	current_zoom;
	void	set_reader();

public:
	MyWidget();
	virtual ~MyWidget();
	void set_reader(void *reader);

	void zoom_in();
	void zoom_out();
	void update_image();
	void run();

protected:
    void paintEvent(QPaintEvent *event);
};

#endif
